HPL_dmatgen(3)

NAME
HPL_dmatgen - random matrix generator.

SYNOPSIS
#include "hpl.h"

void HPL_dmatgen( const int M, const int N, double * A, const int LDA, const int ISEED );

DESCRIPTION
HPL_dmatgen generates (or regenerates) a random matrix A.

The pseudo-random generator uses the linear congruential algorithm: X(n+1) = (a * X(n) + c) mod m as described in the Art of Computer Programming, Knuth 1973, Vol. 2.

ARGUMENTS

M       (input)                 const int
    On entry, M specifies the number of rows of the matrix A. M must be at least zero.

N       (input)                 const int
    On entry, N specifies the number of columns of the matrix A. N must be at least zero.

A       (output)                double *
    On entry, A points to an array of dimension (LDA,N). On exit, this array contains the coefficients of the randomly generated matrix.

LDA     (input)                 const int
    On entry, LDA specifies the leading dimension of the array A. LDA must be at least max(1,M).

ISEED   (input)                 const int
    On entry, ISEED specifies the seed number to generate the matrix A. ISEED must be at least zero.

SEE ALSO
HPL_ladd (3), HPL_lmul (3), HPL_setran (3), HPL_xjumpm (3), HPL_jumpit (3), HPL_rand (3).